Fetch user profile
curl --request GET \
--url https://chat.domix.ai/api/v1/profile \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/profile"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"access_token": "<string>",
"account_id": 123,
"available_name": "<string>",
"avatar_url": "<string>",
"confirmed": true,
"display_name": "<string>",
"message_signature": "<string>",
"email": "<string>",
"hmac_identifier": "<string>",
"inviter_id": 123,
"name": "<string>",
"provider": "<string>",
"pubsub_token": "<string>",
"ui_settings": {},
"uid": "<string>",
"type": "<string>",
"custom_attributes": {},
"accounts": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"active_at": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"availability": "<string>",
"availability_status": "<string>",
"auto_offline": true,
"custom_role_id": 123,
"custom_role": {}
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Profile
Fetch user profile
Get the user profile details
GET
https://chat.domix.ai/
/
api
/
v1
/
profile
Fetch user profile
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Response
Success
Available options:
agent, administrator Available for users who are created through platform APIs and has custom attributes associated.
Hide child attributes
Hide child attributes
Available options:
administrator, agent ⌘I